package com.platform.test;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import com.platform.entities.CheckoutEntity;

public class MapTest {
	
	@Test
	public void TestRemove(){
		Map<String, CheckoutEntity> map = new HashMap<String, CheckoutEntity>();
		CheckoutEntity t = new CheckoutEntity();
		t.setId(21);
		map.put("12", t);
		CheckoutEntity tmp = map.remove("12");
		System.out.println(tmp.getId());
	}
	
	@Test
	public void testKey() {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("/home/gfs_ftp_point/boliang/oracle/320312_97/3-/pengbl_test2/sql_data/320305_34/320312_97/", 2);
		map.put("/home/gfs_ftp_point/boliang/oracle/320312_97/3/-/pengbl_test2/sql_data/320305_34/320312_97/", 3);
		System.out.println(map.get("/home/gfs_ftp_point/boliang/oracle/320312_97/3-/pengbl_test2/sql_data/320305_34/320312_97/"));

	}

}
